body {
    background-color: rgb(100, 100, 100);
    color: white;
}

/* Fonts */

@font-face { /* raleway-cyrillic-ext */
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    src: url(fonts/raleway-cyrillic-ext.woff) format('woff');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}

@font-face { /* raleway-cyrillic */
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    src: url(fonts/raleway-cyrillic.woff) format('woff');
    unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}

@font-face { /* raleway-vietnamese */
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    src: url(fonts/raleway-vietnamese.woff) format('woff');
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+1EA0-1EF9, U+20AB;
}

@font-face { /* raleway-latin-ext */
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    src: url(fonts/raleway-latin-ext.woff) format('woff');
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face { /* raleway-latin */
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    src: url(fonts/raleway-latin.woff) format('woff');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* Custom classes */

.link {
    text-decoration: none;
    transition: opacity 0.3s ease;
    color: white;
}

.icon {
    height: 32px;
    width: 32px;
    padding: 0px 5px;
}

.avatar {
    height: 100%;
    width: 100%;
    max-width: 600px;
    max-height: 600px;
}

.content-name {
    font-family: "Raleway";
    font-size: 2.5em;
    font-weight: 800;
    padding: 20px 0px;
}

.content-description {
    font-family: "Raleway";
    font-size: 1.25em;
    padding: 10px 0px;
}

.content-contact {
    font-family: "Raleway";
    font-size: 1.25em;
    padding: 10px 0px;
    width:fit-content;
    height:fit-content;
}

.content-social {
    font-family: "Raleway";
    font-size: 20px;
    padding: 10px 0px;
    opacity: 1;
    width:fit-content;
    height:fit-content;
}

.content-avatar {
    margin-right: 0px;
    justify-content: center;
    display: flex
}

.layout-page {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-left: auto; 
    margin-right: auto;
}

@media (orientation: portrait) {
    .content-avatar {
        padding: 60px 0px 0px 0px;
    }
    .layout-row {
        padding: 0px 0px 60px 0px
    }
    .layout-column {
        max-width: 100%;
    }
    .layout-page {
        flex-direction: column;
    }
}

.layout-column {
    display: flex;
    justify-content: center;
    flex-direction: column;
    flex: 50%;
    position: relative;
    padding: 0px 60px 0px 60px;
    box-sizing: border-box;

    margin-left: auto; 
    margin-right: auto;
}

.layout-row {
    max-width: 600px;
}

/* Animations */

.content-social:hover > .link {
    opacity: 0.5;
    transition: opacity 0.25s ease;
}

.content-social:hover > .link:hover {
    opacity: 1;
    transition: opacity 0.25s ease;
}

.content-contact:hover > .link {
    opacity: 0.5;
    transition: opacity 0.25s ease;
}
